#!/usr/bin/env python
# -*- coding:utf-8 -*-

########################################################################
# Fichier Babylone.py                                                  #
# (C) Alexandre Casamayou-Boucau, Pascal Chauvin, Guillaume Connan     #
#                                                                      #
# Complément de l'ouvrage:                                             #
# Programmation en Python pour les mathématiques                       #
# Editeur: Dunod                    -         Collection: Sciences Sup #
# ISBN-10: 2100574221               -          ISBN-13: 978-2100574223 #
#                                   -                                  #
# Version du 18/01/2012             -                   Licence: GPLv2 #
########################################################################

from rationnel import *

#
# Algorithme de Babylone
#
a = rationnel(5) # on choisit a = 5

deux = rationnel(2)

r = rationnel(1)
for n in range(5):
	r = (r + a/r)/deux

print "Une approximation rationnelle de la racine carree de", a, "est", r
print float(r)

